classification
Title: Idle doc: redo Syntax Colors section
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: markroseman, python-dev, terry.reedy
Priority: normal Keywords:

Created on 2015-09-23 23:11 by terry.reedy, last changed 2019-03-23 04:14 by terry.reedy. This issue is now closed.

Messages (8)
msg251468 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-23 23:11
I plan to make the following changes to the Syntax colors section:

* Change name to Text and syntax colors, as not all colors are code-syntax related.

* Make it a subsection of the previous Editing and navigation section, which is about editor and shell windows, which are what get colored. Begin by stating that both window types get colored.

* Greatly reduce excessive white space.  Put item and default color on one line, such as * Strings: green, and single space lines.

* Add missing item: color pairs

* Correct instruction on how to change defaults.
msg251480 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-24 03:38
Current:
3. Syntax colors 

The coloring is applied in a background “thread,” so you may occasionally see uncolorized text.  To change the color scheme, edit the [Colors] section in config.txt.  

Python syntax colors: 
 
  Keywords 
    orange 

  Strings 
   green 

  Comments 
    red 

  Definitions 
    blue   

Shell colors: 
 
  Console output 
    brown 

  stdout 
    blue 

  stderr 
    dark green 

  stdin 
    black
msg251481 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-24 03:47
Possible alternative, with additions and corrections:
--------------------
3. Syntax colors 

The coloring is applied in a background “thread,” so you may occasionally see uncolorized text.  To change the color scheme, edit the [Colors] section in config.txt.  

Python syntax colors: 
 
  Keywords: orange
  Builtins: purple
  Definitions: blue   
  Strings: green 
  Comments: red 

Shell colors: 
 
  Console output: brown
  Console error: black on red 
  stdin: black      
  stdout: blue 
  stderr: red

Other colors:
  Cursor: black
  Selected: black on gray
  Found: white on black
msg251482 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-24 04:29
The alternative above matches the format of help.txt, except that the latter has the colors lined up.  The excessive addition of whitespace here was an argument against replacing help.txt with help.html (#16893).  I consider the proposed condensation to be most of a fix of a regression.

This sentence, "To change the color scheme, edit the [Colors] section in config.txt.", is strange in that it for help.txt, it was changed in 2002-12-11 to refer to the Highlights tab of the Configure dialog.  In any case, the color list was added before that tab, but not seems not necessary.  As a 'repeat', it is subject to obsolescence if not updated, which it has not been.  So I think we should either drop the section or drop the colors and replace with a better description of what is being replaced.

2.4. Text and Syntax colors 

Text is both editor and shell windows get color coded. The coloring is applied in the background, so you may occasionally see uncolor text.  To change the color scheme, use the Configure IDLE dialog, Highlighting tab.

Colors can be set for the follow types of text. 

Python syntax in both editor and shell: normal code, keywords, builtin class and function names, user-defined class and function names, strings, and comments.

Shell output: console output, console error text, user output, and user error output and tracebacks. 
 
Other text: cursor, selected text, and text found by search.  

Debugger breakpoint lines in the editor are indicated by a dark yellow background (not configurable).
----

Note: I believe the marking of found text is OS dependent and know that it is the subject of discussion in other issues, so this part needs elaboration.
msg251535 - (view) Author: Mark Roseman (markroseman) * Date: 2015-09-24 15:36
I'd suggest that there is no reason to include the list of what elements can be coloured, as it's there in the dialog for anyone who wants to muck with it. Just the first paragraph (two sentences) would be sufficient I think. Even dropping it from the document entirely wouldn't be a bad thing.
msg251565 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-25 03:14
New changeset 2f6aa20c05b3 by Terry Jan Reedy in branch '2.7':
Issue #25225: Condense and rewrite Idle doc section on text colors.
https://hg.python.org/cpython/rev/2f6aa20c05b3

New changeset f5502ff7ae2d by Terry Jan Reedy in branch '3.4':
Issue #25225: Condense and rewrite Idle doc section on text colors.
https://hg.python.org/cpython/rev/f5502ff7ae2d
msg251567 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-25 03:19
New changeset 36095aa6dd5e by Terry Jan Reedy in branch '2.7':
Issue #25225: add revised .html.
https://hg.python.org/cpython/rev/36095aa6dd5e

New changeset a43d79b2434c by Terry Jan Reedy in branch '3.4':
Issue #25225: add revised .html.
https://hg.python.org/cpython/rev/a43d79b2434c
msg251568 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-25 03:29
I decided to keep a further condensed subsection.  I think there is a bit of extra info, and we may need or want to say more after other changes, such as for #7949, and the addition of a dark theme. The reference manual documents our current promises.
History
Date User Action Args
2019-03-23 04:14:21terry.reedysetcomponents: + IDLE
2015-09-25 03:29:04terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg251568

stage: needs patch -> resolved
2015-09-25 03:19:45python-devsetmessages: + msg251567
2015-09-25 03:14:40python-devsetnosy: + python-dev
messages: + msg251565
2015-09-24 15:36:01markrosemansetnosy: + markroseman
messages: + msg251535
2015-09-24 04:29:25terry.reedysetmessages: + msg251482
2015-09-24 03:47:37terry.reedysetmessages: + msg251481
2015-09-24 03:38:33terry.reedysetmessages: + msg251480
2015-09-23 23:11:41terry.reedycreate